#ifndef X10_BR_CMD_H
#define X10_BR_CMD_H

/*
 * Commands allowed for x10_br_out
 */

#define ON 0
#define OFF 1
#define DIM 2
#define BRIGHT 3 /* upper bit gets masked off; just to tell dim/bright apart */
#define ALL_OFF 4
#define ALL_ON 5
#define ALL_LAMPS_OFF 6
#define ALL_LAMPS_ON 7

int x10_br_out(int /* file desc */, unsigned char /* address */, int /* cmd */);
void brerror(char * /* where */, char * /* problem */);

/*
 * Now these can be set externally; good for when we get config files done
 */

extern int HoldLoops;
extern int BitWait;
extern int Delay;

/*
 * In case an application wants to handle the errors for itself
 */

extern void (*br_error_handler)(char * /* where */, char * /*problem */);

#endif
